¿Cómo instalar Legacy Java SE 6 Runtime (macOS)?

Puede ver el error de tiempo de ejecución de instalación de java se 6 al abrir cualquier programa Adobe CS6 o CS5 (Photoshop, Illustrator, InDesign, etc.). Este problema ocurre porque estas aplicaciones (Adobe CS5, CS5, etc.) dependen de Java 6. Mac OS X Yosemite (y las versiones más recientes) tienen una versión posterior de Java Runtime (SE 8.0).

Sin embargo, Java Runtime no es compatible con versiones anteriores. Por lo tanto, no importa si el os ha instalado Java Runtime ocho, no ejecutará aplicaciones que se basen en Java Runtime 6. Así es como puede obtener Java 6 en la Mac suya.

¿Qué causa el error?

Se encuentra con este error porque todas las aplicaciones que resultan en este error dependen de Java SE 6 para su funcionamiento, y un error con el programa Java o el archivo Java 6 faltante está causando el error con las aplicaciones. Todos los Mac OS vienen integrados con el último Java Runtime 8. Sin embargo, Java no permite la interoperabilidad, incluso con programas que lo necesitan para funcionar normalmente. Por lo tanto, cuando tenga instalado Java SE 8, no ejecutará aplicaciones que necesiten Java SE 6.

Instale Legacy Java SE 6: Easy way

Nota: Puede colocar tanto Java SE ocho como Java SE6 en su computadora portátil o computadora sin ningún problema. Y no tiene que desinstalar SE ocho y luego instalar SE 6.

Te puede interesar  ¿Cuáles son los consejos para seleccionar la mejor herramienta de prueba de aplicaciones móviles?

Cuando la ventana emergente aparece en la pantalla de la suya (diciéndole que configure el tiempo de ejecución heredado de Java 6), haga clic en Más información ahora, se cargará un sitio web de Soporte de Apple, que le proporcionará instrucciones adicionales sobre cómo obtener el tiempo de ejecución de Java 6.

Siga estas instrucciones y también descargue el instalador Java Runtime 6 en la Mac suya. Cuando lo haya hecho, haga doble clic en el archivo .dmg para liberar el instalador. Siga los comandos en pantalla para completar la configuración.

Instale Legacy Java SE 6: Alternative way

Si el método anterior no funcionó, pruebe lo siguiente.

Ir al enlace posterior https://support.apple.com/kb/DL1572?locale=en_US

Si ese enlace no funciona, pruebe este enlace directo http://download.info.apple.com/Mac_OS_X/031-03190.20140529.Pp3r4/JavaForOSX2014-001.dmg

Obtenga Java SE 6 para OS X (haga clic en el botón Descargar) Una vez que finalice la descarga, obtenga el archivo dmg adoptando las instrucciones en pantalla.

Cuando haya puesto Java Runtime 6 en la Mac suya, puede iniciar Adobe CS5 (o tal vez alguna otra aplicación que requiera Java 6 tiempo de ejecución).

Nota: No tiene que reiniciar la Mac suya antes de lanzar la aplicación.

Instale Legacy Java SE 6: Otra forma

  1. Descargue el instalador Java SE 6.
  2. Una vez que se descargue el archivo Java SE 6, haga lo siguiente.
  3. Ir a aplicaciones & gt; Utilidades y abrir Script Editor.
  4. En el Editor de guiones, copie y pegue el siguiente comando:

configure el DMG para elegir el archivo con el mensaje «Seleccione javaforosx.dmg:» de tipo {» dmg «} script de shell» hdiutil mount & forma citada de la ruta POSIX del script de shell DMG do “pkgutil –expand / Volumes / Java para macOS 2017-001 / JavaForOSX.pkg ~ / tmp” do script de shell “hdiutil unmount / Volumes/Java para macOS 2017-001 / «hacer script de shell» sed -I «‘ s / volver falso / devolver verdadero / g ’~ / tmp / Distribución» hacer script de shell «pkgutil –flatten ~ / tmp ~ / Desktop/Java.pkg «hace el script de shell» rm -rf ~ / tmp «diálogo de pantalla» Java.pkg modificado guardado en el escritorio «botones {» Ok «}

  1. Push Command + R para ejecutar el script.
  2. Cuando se le solicite, elija el archivo Javaforosx.dmg, espere a que termine el script e instale el archivo Java.pkg
Te puede interesar  Uso del desguace web para mejorar su SEO

Crédito de script – bogdanw de Mac

El script anterior elimina los límites de instalación de Java MacOS y ayuda a instalar Java SE 6 si la instalación falla durante el primer intento.

Algunas aplicaciones heredadas para Mac pueden necesitar Java SE 6. Aunque Mac OSX y versiones anteriores se instalan con Java SE 8 fuera de la caja.

Instale Java SE heredado 6 Duración (tutorial en video)

Preguntas frecuentes

Deja un comentario